## org.gnu.gtk
Class TextAppearance

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gtk.TextAppearance

public class TextAppearance
extends MemStruct

Read only text appearance properties, as returned by methods relating to the text view widgets.

Method Summary
`Color` `getBgColor()`
`Bitmap` `getBgStipple()`
`boolean` `getDrawBg()`
`Color` `getFgColor()`
`Bitmap` `getFgStipple()`
`int` `getRise()` returns super/subscript rise, can be negative
`boolean` `getStrikethrough()`
`Underline` `getUnderline()`

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBgColor

    public Color getBgColor()

### getFgColor

    public Color getFgColor()

### getBgStipple

    public Bitmap getBgStipple()

### getFgStipple

    public Bitmap getFgStipple()

### getRise

    public int getRise()

  returns super/subscript rise, can be negative

### getUnderline

    public Underline getUnderline()

### getStrikethrough

    public boolean getStrikethrough()

### getDrawBg

    public boolean getDrawBg()